# Package net.axay.kspigot.config

## Types

ConfigDelegate
Link copied to clipboard
abstract class ConfigDelegate<T : Any>(file: File, saveAfterLoad: Boolean, defaultCallback: () -> T?)
Content copied to clipboard
JsonConfigManager
Link copied to clipboard
object JsonConfigManager
Content copied to clipboard
PluginFile
Link copied to clipboard
class PluginFile(path: String, child: String?) : File
Content copied to clipboard

## Functions

kSpigotConfig
Link copied to clipboard
inline fun <T : Any> kSpigotConfig(file: File, saveAfterLoad: Boolean = false, stringFormat: Json = Json, noinline default: () -> T? = null): ConfigDelegate<T>
Content copied to clipboard
Creates a new ConfigDelegate object.
kSpigotJsonConfig
Link copied to clipboard
inline fun <T : Any> kSpigotJsonConfig(file: File, saveAfterLoad: Boolean = false, stringFormat: Json = Json, noinline default: () -> T? = null): ConfigDelegate<T>
Content copied to clipboard